> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beltic.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Website

> Perform comprehensive website verification including SSL, WHOIS, screenshots, page speed, and AI-powered risk analysis.

**Processing modes** (controlled by `data.meta.async`):
- **Sync** (`async: false` or omitted): Runs the full orchestrator inline and returns 200 (cache hit) or 201 with the completed result. Vendor calls can be slow — connections may close before the response is returned. Use async for slow vendors.
- **Async** (`async: true`): Returns 201 immediately with a record in `status: "pending"` and an `id`. The work runs in the background. Poll `GET /v1/website-checks/{id}` until `status` is `completed` or `failed`. If a fresh cached result already exists, returns 200 with the cached payload immediately and skips the queue.



## OpenAPI

````yaml POST /v1/website-checks
openapi: 3.1.0
info:
  title: Beltic Website Check API
  version: 1.0.0
  description: >-
    # Website Check API


    The Beltic Website Check API provides comprehensive website verification and
    risk analysis capabilities.


    ## Authentication


    All endpoints require authentication. Include your API key in the
    `X-Api-Key` header:

    ```

    X-Api-Key: YOUR_API_KEY

    ```
  contact:
    name: Beltic API Support
    email: engineering@beltic.com
servers:
  - url: https://api.beltic.com
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Website Checks
    description: Website verification and risk analysis operations
paths:
  /v1/website-checks:
    post:
      tags:
        - Website Checks
      summary: Check website
      description: >-
        Perform comprehensive website verification including SSL, WHOIS,
        screenshots, page speed, and AI-powered risk analysis.


        **Processing modes** (controlled by `data.meta.async`):

        - **Sync** (`async: false` or omitted): Runs the full orchestrator
        inline and returns 200 (cache hit) or 201 with the completed result.
        Vendor calls can be slow — connections may close before the response is
        returned. Use async for slow vendors.

        - **Async** (`async: true`): Returns 201 immediately with a record in
        `status: "pending"` and an `id`. The work runs in the background. Poll
        `GET /v1/website-checks/{id}` until `status` is `completed` or `failed`.
        If a fresh cached result already exists, returns 200 with the cached
        payload immediately and skips the queue.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - website-check
                    meta:
                      type: object
                      properties:
                        url:
                          type: string
                          format: uri
                        options:
                          type: object
                          properties:
                            force_refresh:
                              type: boolean
                              default: false
                        async:
                          type: boolean
                          default: false
                      required:
                        - url
                  required:
                    - type
                    - meta
              required:
                - data
      responses:
        '200':
          description: Website check retrieved from cache
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      type:
                        type: string
                        enum:
                          - website_checks
                      attributes:
                        type: object
                        properties:
                          url:
                            type: string
                          status:
                            type: string
                            enum:
                              - pending
                              - processing
                              - completed
                              - failed
                          result:
                            type:
                              - object
                              - 'null'
                            properties:
                              ssl:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  valid:
                                    type: boolean
                                  issuer:
                                    type:
                                      - string
                                      - 'null'
                                  subject:
                                    type:
                                      - string
                                      - 'null'
                                  expires_at:
                                    type:
                                      - string
                                      - 'null'
                                  issued_at:
                                    type:
                                      - string
                                      - 'null'
                                  days_until_expiry:
                                    type:
                                      - number
                                      - 'null'
                                  protocol:
                                    type:
                                      - string
                                      - 'null'
                                  cipher_suite:
                                    type:
                                      - string
                                      - 'null'
                                  san_list:
                                    type:
                                      - array
                                      - 'null'
                                    items:
                                      type: string
                                  self_signed:
                                    type:
                                      - boolean
                                      - 'null'
                                  expired:
                                    type:
                                      - boolean
                                      - 'null'
                                required:
                                  - valid
                              whois:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  domain_name:
                                    type:
                                      - string
                                      - 'null'
                                  registrar:
                                    type:
                                      - string
                                      - 'null'
                                  registrant_name:
                                    type:
                                      - string
                                      - 'null'
                                  registrant_organization:
                                    type:
                                      - string
                                      - 'null'
                                  registrant_email:
                                    type:
                                      - string
                                      - 'null'
                                  registrant_country:
                                    type:
                                      - string
                                      - 'null'
                                  created_date:
                                    type:
                                      - string
                                      - 'null'
                                  updated_date:
                                    type:
                                      - string
                                      - 'null'
                                  expires_date:
                                    type:
                                      - string
                                      - 'null'
                                  name_servers:
                                    type:
                                      - array
                                      - 'null'
                                    items:
                                      type: string
                                  status:
                                    type:
                                      - string
                                      - 'null'
                                  domain_age_days:
                                    type:
                                      - number
                                      - 'null'
                              screenshot_url:
                                type:
                                  - string
                                  - 'null'
                              google_search:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  search_query:
                                    type: string
                                  total_results:
                                    type: number
                                  items:
                                    type:
                                      - array
                                      - 'null'
                                    items:
                                      type: object
                                      properties:
                                        title:
                                          type: string
                                        link:
                                          type: string
                                        snippet:
                                          type:
                                            - string
                                            - 'null'
                                        displayed_link:
                                          type:
                                            - string
                                            - 'null'
                                      required:
                                        - title
                                        - link
                                  search_time:
                                    type:
                                      - string
                                      - 'null'
                                required:
                                  - search_query
                                  - total_results
                              pagespeed:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  performance_score:
                                    type:
                                      - number
                                      - 'null'
                                  accessibility_score:
                                    type:
                                      - number
                                      - 'null'
                                  best_practices_score:
                                    type:
                                      - number
                                      - 'null'
                                  seo_score:
                                    type:
                                      - number
                                      - 'null'
                                  first_contentful_paint_ms:
                                    type:
                                      - number
                                      - 'null'
                                  largest_contentful_paint_ms:
                                    type:
                                      - number
                                      - 'null'
                                  total_blocking_time_ms:
                                    type:
                                      - number
                                      - 'null'
                                  cumulative_layout_shift:
                                    type:
                                      - number
                                      - 'null'
                                  speed_index_ms:
                                    type:
                                      - number
                                      - 'null'
                                  time_to_interactive_ms:
                                    type:
                                      - number
                                      - 'null'
                              content_analysis:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  risk_level:
                                    type: string
                                    enum:
                                      - low
                                      - medium
                                      - high
                                      - unknown
                                  content_type:
                                    type:
                                      - string
                                      - 'null'
                                  risk_indicators:
                                    type:
                                      - array
                                      - 'null'
                                    items:
                                      type: string
                                  positive_indicators:
                                    type:
                                      - array
                                      - 'null'
                                    items:
                                      type: string
                                  sentiment:
                                    type:
                                      - string
                                      - 'null'
                                  contains_financial_services:
                                    type:
                                      - boolean
                                      - 'null'
                                  contains_gambling:
                                    type:
                                      - boolean
                                      - 'null'
                                  contains_adult_content:
                                    type:
                                      - boolean
                                      - 'null'
                                  contains_crypto:
                                    type:
                                      - boolean
                                      - 'null'
                                  language:
                                    type:
                                      - string
                                      - 'null'
                                  analysis_summary:
                                    type:
                                      - string
                                      - 'null'
                                required:
                                  - risk_level
                              visual_analysis:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  risk_level:
                                    type: string
                                    enum:
                                      - low
                                      - medium
                                      - high
                                      - unknown
                                  design_quality:
                                    type:
                                      - string
                                      - 'null'
                                  visual_red_flags:
                                    type:
                                      - array
                                      - 'null'
                                    items:
                                      type: string
                                  looks_professional:
                                    type:
                                      - boolean
                                      - 'null'
                                  has_branding:
                                    type:
                                      - boolean
                                      - 'null'
                                  has_contact_info:
                                    type:
                                      - boolean
                                      - 'null'
                                  layout_description:
                                    type:
                                      - string
                                      - 'null'
                                  visual_summary:
                                    type:
                                      - string
                                      - 'null'
                                required:
                                  - risk_level
                              industry_classification:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  naics_code:
                                    type:
                                      - string
                                      - 'null'
                                  naics_description:
                                    type:
                                      - string
                                      - 'null'
                                  sic_code:
                                    type:
                                      - string
                                      - 'null'
                                  sic_description:
                                    type:
                                      - string
                                      - 'null'
                                  mcc_code:
                                    type:
                                      - string
                                      - 'null'
                                  mcc_description:
                                    type:
                                      - string
                                      - 'null'
                                  industry_category:
                                    type:
                                      - string
                                      - 'null'
                              review_links:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  trustpilot:
                                    type:
                                      - string
                                      - 'null'
                                  scamadvisor:
                                    type:
                                      - string
                                      - 'null'
                                  reddit:
                                    type:
                                      - string
                                      - 'null'
                                  bbb:
                                    type:
                                      - string
                                      - 'null'
                                  google_reviews:
                                    type:
                                      - string
                                      - 'null'
                              social_links:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  instagram:
                                    type:
                                      - string
                                      - 'null'
                                  facebook:
                                    type:
                                      - string
                                      - 'null'
                                  twitter:
                                    type:
                                      - string
                                      - 'null'
                                  linkedin:
                                    type:
                                      - string
                                      - 'null'
                                  youtube:
                                    type:
                                      - string
                                      - 'null'
                              company_details:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  name:
                                    type:
                                      - string
                                      - 'null'
                                  description:
                                    type:
                                      - string
                                      - 'null'
                                  email:
                                    type:
                                      - string
                                      - 'null'
                                  phone:
                                    type:
                                      - string
                                      - 'null'
                                  address:
                                    type:
                                      - string
                                      - 'null'
                                  country:
                                    type:
                                      - string
                                      - 'null'
                                  founded_year:
                                    type:
                                      - string
                                      - 'null'
                                  products_services:
                                    type:
                                      - array
                                      - 'null'
                                    items:
                                      type: string
                              location:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  ip_address:
                                    type:
                                      - string
                                      - 'null'
                                  country:
                                    type:
                                      - string
                                      - 'null'
                                  country_code:
                                    type:
                                      - string
                                      - 'null'
                                  region:
                                    type:
                                      - string
                                      - 'null'
                                  city:
                                    type:
                                      - string
                                      - 'null'
                                  hosting_provider:
                                    type:
                                      - string
                                      - 'null'
                                  asn:
                                    type:
                                      - string
                                      - 'null'
                                  is_proxy:
                                    type:
                                      - boolean
                                      - 'null'
                                  is_vpn:
                                    type:
                                      - boolean
                                      - 'null'
                              summary:
                                type:
                                  - string
                                  - 'null'
                              reasoning:
                                type:
                                  - string
                                  - 'null'
                          created_at:
                            type: string
                          started_at:
                            type:
                              - string
                              - 'null'
                          completed_at:
                            type:
                              - string
                              - 'null'
                          processing_errors:
                            type:
                              - array
                              - 'null'
                            items:
                              type: object
                              properties:
                                code:
                                  type: string
                                message:
                                  type: string
                                step:
                                  type:
                                    - string
                                    - 'null'
                              required:
                                - code
                                - message
                        required:
                          - url
                          - status
                          - created_at
                      relationships:
                        type: object
                        properties:
                          account:
                            type: object
                            properties:
                              data:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  type:
                                    type: string
                                  id:
                                    type: string
                                required:
                                  - type
                                  - id
                            required:
                              - data
                      meta:
                        type: object
                        properties:
                          check_steps:
                            type:
                              - object
                              - 'null'
                            properties:
                              ssl_whois:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  status:
                                    type:
                                      - string
                                      - 'null'
                                    enum:
                                      - success
                                      - failed
                                      - skipped
                                      - null
                                  response_time_ms:
                                    type:
                                      - number
                                      - 'null'
                                  error_message:
                                    type:
                                      - string
                                      - 'null'
                                  called_at:
                                    type:
                                      - string
                                      - 'null'
                              screenshot:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  status:
                                    type:
                                      - string
                                      - 'null'
                                    enum:
                                      - success
                                      - failed
                                      - skipped
                                      - null
                                  response_time_ms:
                                    type:
                                      - number
                                      - 'null'
                                  error_message:
                                    type:
                                      - string
                                      - 'null'
                                  called_at:
                                    type:
                                      - string
                                      - 'null'
                              web_search:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  status:
                                    type:
                                      - string
                                      - 'null'
                                    enum:
                                      - success
                                      - failed
                                      - skipped
                                      - null
                                  response_time_ms:
                                    type:
                                      - number
                                      - 'null'
                                  error_message:
                                    type:
                                      - string
                                      - 'null'
                                  called_at:
                                    type:
                                      - string
                                      - 'null'
                              page_speed:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  status:
                                    type:
                                      - string
                                      - 'null'
                                    enum:
                                      - success
                                      - failed
                                      - skipped
                                      - null
                                  response_time_ms:
                                    type:
                                      - number
                                      - 'null'
                                  error_message:
                                    type:
                                      - string
                                      - 'null'
                                  called_at:
                                    type:
                                      - string
                                      - 'null'
                              content_extraction:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  status:
                                    type:
                                      - string
                                      - 'null'
                                    enum:
                                      - success
                                      - failed
                                      - skipped
                                      - null
                                  response_time_ms:
                                    type:
                                      - number
                                      - 'null'
                                  error_message:
                                    type:
                                      - string
                                      - 'null'
                                  called_at:
                                    type:
                                      - string
                                      - 'null'
                              content_analysis:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  status:
                                    type:
                                      - string
                                      - 'null'
                                    enum:
                                      - success
                                      - failed
                                      - skipped
                                      - null
                                  response_time_ms:
                                    type:
                                      - number
                                      - 'null'
                                  error_message:
                                    type:
                                      - string
                                      - 'null'
                                  called_at:
                                    type:
                                      - string
                                      - 'null'
                              visual_analysis:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  status:
                                    type:
                                      - string
                                      - 'null'
                                    enum:
                                      - success
                                      - failed
                                      - skipped
                                      - null
                                  response_time_ms:
                                    type:
                                      - number
                                      - 'null'
                                  error_message:
                                    type:
                                      - string
                                      - 'null'
                                  called_at:
                                    type:
                                      - string
                                      - 'null'
                          total_processing_time_ms:
                            type:
                              - number
                              - 'null'
                          cache_status:
                            type:
                              - string
                              - 'null'
                            enum:
                              - fresh
                              - cached
                              - null
                    required:
                      - id
                      - type
                      - attributes
                required:
                  - data
        '201':
          description: Website check created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      type:
                        type: string
                        enum:
                          - website_checks
                      attributes:
                        type: object
                        properties:
                          url:
                            type: string
                          status:
                            type: string
                            enum:
                              - pending
                              - processing
                              - completed
                              - failed
                          result:
                            type:
                              - object
                              - 'null'
                            properties:
                              ssl:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  valid:
                                    type: boolean
                                  issuer:
                                    type:
                                      - string
                                      - 'null'
                                  subject:
                                    type:
                                      - string
                                      - 'null'
                                  expires_at:
                                    type:
                                      - string
                                      - 'null'
                                  issued_at:
                                    type:
                                      - string
                                      - 'null'
                                  days_until_expiry:
                                    type:
                                      - number
                                      - 'null'
                                  protocol:
                                    type:
                                      - string
                                      - 'null'
                                  cipher_suite:
                                    type:
                                      - string
                                      - 'null'
                                  san_list:
                                    type:
                                      - array
                                      - 'null'
                                    items:
                                      type: string
                                  self_signed:
                                    type:
                                      - boolean
                                      - 'null'
                                  expired:
                                    type:
                                      - boolean
                                      - 'null'
                                required:
                                  - valid
                              whois:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  domain_name:
                                    type:
                                      - string
                                      - 'null'
                                  registrar:
                                    type:
                                      - string
                                      - 'null'
                                  registrant_name:
                                    type:
                                      - string
                                      - 'null'
                                  registrant_organization:
                                    type:
                                      - string
                                      - 'null'
                                  registrant_email:
                                    type:
                                      - string
                                      - 'null'
                                  registrant_country:
                                    type:
                                      - string
                                      - 'null'
                                  created_date:
                                    type:
                                      - string
                                      - 'null'
                                  updated_date:
                                    type:
                                      - string
                                      - 'null'
                                  expires_date:
                                    type:
                                      - string
                                      - 'null'
                                  name_servers:
                                    type:
                                      - array
                                      - 'null'
                                    items:
                                      type: string
                                  status:
                                    type:
                                      - string
                                      - 'null'
                                  domain_age_days:
                                    type:
                                      - number
                                      - 'null'
                              screenshot_url:
                                type:
                                  - string
                                  - 'null'
                              google_search:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  search_query:
                                    type: string
                                  total_results:
                                    type: number
                                  items:
                                    type:
                                      - array
                                      - 'null'
                                    items:
                                      type: object
                                      properties:
                                        title:
                                          type: string
                                        link:
                                          type: string
                                        snippet:
                                          type:
                                            - string
                                            - 'null'
                                        displayed_link:
                                          type:
                                            - string
                                            - 'null'
                                      required:
                                        - title
                                        - link
                                  search_time:
                                    type:
                                      - string
                                      - 'null'
                                required:
                                  - search_query
                                  - total_results
                              pagespeed:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  performance_score:
                                    type:
                                      - number
                                      - 'null'
                                  accessibility_score:
                                    type:
                                      - number
                                      - 'null'
                                  best_practices_score:
                                    type:
                                      - number
                                      - 'null'
                                  seo_score:
                                    type:
                                      - number
                                      - 'null'
                                  first_contentful_paint_ms:
                                    type:
                                      - number
                                      - 'null'
                                  largest_contentful_paint_ms:
                                    type:
                                      - number
                                      - 'null'
                                  total_blocking_time_ms:
                                    type:
                                      - number
                                      - 'null'
                                  cumulative_layout_shift:
                                    type:
                                      - number
                                      - 'null'
                                  speed_index_ms:
                                    type:
                                      - number
                                      - 'null'
                                  time_to_interactive_ms:
                                    type:
                                      - number
                                      - 'null'
                              content_analysis:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  risk_level:
                                    type: string
                                    enum:
                                      - low
                                      - medium
                                      - high
                                      - unknown
                                  content_type:
                                    type:
                                      - string
                                      - 'null'
                                  risk_indicators:
                                    type:
                                      - array
                                      - 'null'
                                    items:
                                      type: string
                                  positive_indicators:
                                    type:
                                      - array
                                      - 'null'
                                    items:
                                      type: string
                                  sentiment:
                                    type:
                                      - string
                                      - 'null'
                                  contains_financial_services:
                                    type:
                                      - boolean
                                      - 'null'
                                  contains_gambling:
                                    type:
                                      - boolean
                                      - 'null'
                                  contains_adult_content:
                                    type:
                                      - boolean
                                      - 'null'
                                  contains_crypto:
                                    type:
                                      - boolean
                                      - 'null'
                                  language:
                                    type:
                                      - string
                                      - 'null'
                                  analysis_summary:
                                    type:
                                      - string
                                      - 'null'
                                required:
                                  - risk_level
                              visual_analysis:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  risk_level:
                                    type: string
                                    enum:
                                      - low
                                      - medium
                                      - high
                                      - unknown
                                  design_quality:
                                    type:
                                      - string
                                      - 'null'
                                  visual_red_flags:
                                    type:
                                      - array
                                      - 'null'
                                    items:
                                      type: string
                                  looks_professional:
                                    type:
                                      - boolean
                                      - 'null'
                                  has_branding:
                                    type:
                                      - boolean
                                      - 'null'
                                  has_contact_info:
                                    type:
                                      - boolean
                                      - 'null'
                                  layout_description:
                                    type:
                                      - string
                                      - 'null'
                                  visual_summary:
                                    type:
                                      - string
                                      - 'null'
                                required:
                                  - risk_level
                              industry_classification:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  naics_code:
                                    type:
                                      - string
                                      - 'null'
                                  naics_description:
                                    type:
                                      - string
                                      - 'null'
                                  sic_code:
                                    type:
                                      - string
                                      - 'null'
                                  sic_description:
                                    type:
                                      - string
                                      - 'null'
                                  mcc_code:
                                    type:
                                      - string
                                      - 'null'
                                  mcc_description:
                                    type:
                                      - string
                                      - 'null'
                                  industry_category:
                                    type:
                                      - string
                                      - 'null'
                              review_links:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  trustpilot:
                                    type:
                                      - string
                                      - 'null'
                                  scamadvisor:
                                    type:
                                      - string
                                      - 'null'
                                  reddit:
                                    type:
                                      - string
                                      - 'null'
                                  bbb:
                                    type:
                                      - string
                                      - 'null'
                                  google_reviews:
                                    type:
                                      - string
                                      - 'null'
                              social_links:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  instagram:
                                    type:
                                      - string
                                      - 'null'
                                  facebook:
                                    type:
                                      - string
                                      - 'null'
                                  twitter:
                                    type:
                                      - string
                                      - 'null'
                                  linkedin:
                                    type:
                                      - string
                                      - 'null'
                                  youtube:
                                    type:
                                      - string
                                      - 'null'
                              company_details:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  name:
                                    type:
                                      - string
                                      - 'null'
                                  description:
                                    type:
                                      - string
                                      - 'null'
                                  email:
                                    type:
                                      - string
                                      - 'null'
                                  phone:
                                    type:
                                      - string
                                      - 'null'
                                  address:
                                    type:
                                      - string
                                      - 'null'
                                  country:
                                    type:
                                      - string
                                      - 'null'
                                  founded_year:
                                    type:
                                      - string
                                      - 'null'
                                  products_services:
                                    type:
                                      - array
                                      - 'null'
                                    items:
                                      type: string
                              location:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  ip_address:
                                    type:
                                      - string
                                      - 'null'
                                  country:
                                    type:
                                      - string
                                      - 'null'
                                  country_code:
                                    type:
                                      - string
                                      - 'null'
                                  region:
                                    type:
                                      - string
                                      - 'null'
                                  city:
                                    type:
                                      - string
                                      - 'null'
                                  hosting_provider:
                                    type:
                                      - string
                                      - 'null'
                                  asn:
                                    type:
                                      - string
                                      - 'null'
                                  is_proxy:
                                    type:
                                      - boolean
                                      - 'null'
                                  is_vpn:
                                    type:
                                      - boolean
                                      - 'null'
                              summary:
                                type:
                                  - string
                                  - 'null'
                              reasoning:
                                type:
                                  - string
                                  - 'null'
                          created_at:
                            type: string
                          started_at:
                            type:
                              - string
                              - 'null'
                          completed_at:
                            type:
                              - string
                              - 'null'
                          processing_errors:
                            type:
                              - array
                              - 'null'
                            items:
                              type: object
                              properties:
                                code:
                                  type: string
                                message:
                                  type: string
                                step:
                                  type:
                                    - string
                                    - 'null'
                              required:
                                - code
                                - message
                        required:
                          - url
                          - status
                          - created_at
                      relationships:
                        type: object
                        properties:
                          account:
                            type: object
                            properties:
                              data:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  type:
                                    type: string
                                  id:
                                    type: string
                                required:
                                  - type
                                  - id
                            required:
                              - data
                      meta:
                        type: object
                        properties:
                          check_steps:
                            type:
                              - object
                              - 'null'
                            properties:
                              ssl_whois:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  status:
                                    type:
                                      - string
                                      - 'null'
                                    enum:
                                      - success
                                      - failed
                                      - skipped
                                      - null
                                  response_time_ms:
                                    type:
                                      - number
                                      - 'null'
                                  error_message:
                                    type:
                                      - string
                                      - 'null'
                                  called_at:
                                    type:
                                      - string
                                      - 'null'
                              screenshot:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  status:
                                    type:
                                      - string
                                      - 'null'
                                    enum:
                                      - success
                                      - failed
                                      - skipped
                                      - null
                                  response_time_ms:
                                    type:
                                      - number
                                      - 'null'
                                  error_message:
                                    type:
                                      - string
                                      - 'null'
                                  called_at:
                                    type:
                                      - string
                                      - 'null'
                              web_search:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  status:
                                    type:
                                      - string
                                      - 'null'
                                    enum:
                                      - success
                                      - failed
                                      - skipped
                                      - null
                                  response_time_ms:
                                    type:
                                      - number
                                      - 'null'
                                  error_message:
                                    type:
                                      - string
                                      - 'null'
                                  called_at:
                                    type:
                                      - string
                                      - 'null'
                              page_speed:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  status:
                                    type:
                                      - string
                                      - 'null'
                                    enum:
                                      - success
                                      - failed
                                      - skipped
                                      - null
                                  response_time_ms:
                                    type:
                                      - number
                                      - 'null'
                                  error_message:
                                    type:
                                      - string
                                      - 'null'
                                  called_at:
                                    type:
                                      - string
                                      - 'null'
                              content_extraction:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  status:
                                    type:
                                      - string
                                      - 'null'
                                    enum:
                                      - success
                                      - failed
                                      - skipped
                                      - null
                                  response_time_ms:
                                    type:
                                      - number
                                      - 'null'
                                  error_message:
                                    type:
                                      - string
                                      - 'null'
                                  called_at:
                                    type:
                                      - string
                                      - 'null'
                              content_analysis:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  status:
                                    type:
                                      - string
                                      - 'null'
                                    enum:
                                      - success
                                      - failed
                                      - skipped
                                      - null
                                  response_time_ms:
                                    type:
                                      - number
                                      - 'null'
                                  error_message:
                                    type:
                                      - string
                                      - 'null'
                                  called_at:
                                    type:
                                      - string
                                      - 'null'
                              visual_analysis:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  status:
                                    type:
                                      - string
                                      - 'null'
                                    enum:
                                      - success
                                      - failed
                                      - skipped
                                      - null
                                  response_time_ms:
                                    type:
                                      - number
                                      - 'null'
                                  error_message:
                                    type:
                                      - string
                                      - 'null'
                                  called_at:
                                    type:
                                      - string
                                      - 'null'
                          total_processing_time_ms:
                            type:
                              - number
                              - 'null'
                          cache_status:
                            type:
                              - string
                              - 'null'
                            enum:
                              - fresh
                              - cached
                              - null
                    required:
                      - id
                      - type
                      - attributes
                required:
                  - data
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        status:
                          type: string
                        title:
                          type: string
                        detail:
                          type: string
                        meta:
                          type: object
                          additionalProperties: {}
                      required:
                        - status
                        - title
                        - detail
                required:
                  - errors
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        status:
                          type: string
                        title:
                          type: string
                        detail:
                          type: string
                        meta:
                          type: object
                          additionalProperties: {}
                      required:
                        - status
                        - title
                        - detail
                required:
                  - errors
        '409':
          description: Conflict - check already in progress
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        status:
                          type: string
                        title:
                          type: string
                        detail:
                          type: string
                        meta:
                          type: object
                          additionalProperties: {}
                      required:
                        - status
                        - title
                        - detail
                required:
                  - errors
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        status:
                          type: string
                        title:
                          type: string
                        detail:
                          type: string
                        meta:
                          type: object
                          additionalProperties: {}
                      required:
                        - status
                        - title
                        - detail
                required:
                  - errors
components: {}

````